<?php get_header(); ?>
<section id="content">
	<div class="container_12">
		<div class="grid_9 cont_col" id="posts">
	<div class="smaller-title">
		<h1 class="category-title lower-case">
			<?php if ( is_day() ) : /* if the daily archive is loaded */ ?>
				<?php printf( __( 'Daily Archives: <span>%s</span>' ,'phomedia'), get_the_date() ); ?>
			<?php elseif ( is_month() ) : /* if the montly archive is loaded */ ?>
				<?php printf( __( 'Monthly Archives: <span>%s</span>' ,'phomedia'), get_the_date('F Y') ); ?>
			<?php elseif ( is_year() ) : /* if the yearly archive is loaded */ ?>
				<?php printf( __( 'Yearly Archives: <span>%s</span>','phomedia' ), get_the_date('Y') ); ?>
			<?php else : /* if anything else is loaded, ex. if the tags or categories template is missing this page will load */ ?>
				<?php _e('Blog Archives','phomedia'); ?>
			<?php endif; ?>
		</h1>
	</div>
	
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<article>
									
									
									<div class="post-meta">
											<div class="post-meta-written">
												<?php the_time('F j, Y'); ?><br/><?php _e('at','phomedia'); ?> <?php the_time() ?>, <?php _e('by','phomedia'); ?> <?php the_author_posts_link() ?>
											</div>
											<div class="post-meta-taxonomy">
												 <?php the_category(', ') ?><br/>
												<?php if (the_tags(__('Tags: ','phomedia'), ', ', ' ')); ?>
											</div>
											<div class="post-meta-comments">
												<?php comments_popup_link(__('No Comments','phomedia'), __('1 Comment','phomedia'), __('% Comments','phomedia')); ?>
											</div>
									</div><!--.postMeta-->

									<div class="heading">
										<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark">
											<?php $title = the_title('','', false);  if ($title != '') echo $title; else echo "Article"; ?></a>
										</h2>
																				
									</div>
									<?php if ( has_post_thumbnail()) : ?>
										<?php echo '<figure class="thumb">'; the_post_thumbnail(array(520, 260)); echo '</figure>'; /* loades the post's featured thumbnail, requires Wordpress 3.0+ */ ?>
									<?php endif; ?>
									<div class="post-content">
										<?php the_content(__('Read more','phomedia'));?>
									</div>
									<div class="clear"></div>
								</article>		
	<?php endwhile; else: ?>
		<div class="no-results box">
			<p><strong><?php echo __('There has been an error.','phomedia'); ?></strong></p>
			<p><?php echo __('We apologize for any inconvenience, please','phomedia'); ?><a href="<?php echo home_url(); ?>/" title="<?php bloginfo('description'); ?>"><?php echo __('return to the home page','phomedia'); ?></a> <?php echo __('or use the search form below.','phomedia'); ?></p>
			<?php get_search_form(); /* outputs the default Wordpress search form */ ?>
		</div><!--noResults-->
	<?php endif; ?>
		
	<nav class="newer-older">
			<div class="older">
					<?php next_posts_link(__('<span><span>&laquo; Older Entries</span></span>','phomedia')) ?>
			</div><!--.older-->
			<div class="newer">
					<?php previous_posts_link(__('<span><span>Newer Entries &raquo;</span></span>','phomedia')) ?>
			</div><!--.older-->
		</nav><!--.oldernewer-->

</div><!--#content-->
<div class="grid_3 side_col_right">
<?php get_sidebar(); ?>
</div>
		<div class="clear"></div>
	</div>	
</section>

<?php get_footer(); ?>
